# std::exception Class Reference

Inheritance diagram for std::exception:

List of all members.

## Detailed Description

This is the base class for all exceptions thrown by the standard library, and by certain language expressions. You are free to derive your own exception classes, or use a different hierarchy, or to throw non-class data (e.g., fundamental types).

Definition at line 56 of file exception.

## Public Member Functions

- exception () throw ()
- virtual const char * what () const throw ()

## Member Function Documentation

virtual const char* std::exception::what | ( |  | ) | const throw ()`[virtual]`

Returns a C-style character string describing the general cause of the current error.

Reimplemented in std::bad_exception, std::bad_alloc, std::bad_cast, std::bad_typeid, std::ios_base::failure, __gnu_cxx::__concurrence_lock_error, __gnu_cxx::__concurrence_unlock_error, std::logic_error, and std::runtime_error.

The documentation for this class was generated from the following file:

- exception